PolynomialApprox Class Reference

`#include <models.h>`

Inheritance diagram for PolynomialApprox:
Collaboration diagram for PolynomialApprox:

## Public Member Functions

| PolynomialApprox ()
| PolynomialApprox (const PolynomialApprox &)
| PolynomialApprox (int)
| PolynomialApprox (Data, int)
| PolynomialApprox (Data, std::vector< double >)
| ~PolynomialApprox ()
void | setModelData (Data)
void | setExpData (Data)
void | setCost (CostFunction *)
Data | getSol () const
void | setParam (std::vector< double >)
std::vector< double > | getParam () const
std::vector< double > | getNeighbor (double) const
double | getCost ()
void | exportModel () const
void | displayModel () const
Data | getExpData () const
Public Member Functions inherited from Model
| Model ()
| Model (const Model &)
| Model (Data)
virtual | ~Model ()

## Additional Inherited Members

Protected Attributes inherited from Model
Data | m_data
Data | exp_data
CostFunction * | m_cost

## Constructor & Destructor Documentation

## PolynomialApprox() [1/5]

PolynomialApprox::PolynomialApprox | ( |  | ) |

## PolynomialApprox() [2/5]

PolynomialApprox::PolynomialApprox | ( | const PolynomialApprox & | other | ) |

## PolynomialApprox() [3/5]

PolynomialApprox::PolynomialApprox | ( | int | n | ) |

## PolynomialApprox() [4/5]

PolynomialApprox::PolynomialApprox | ( | Data | T,
|  | int | n
| ) |  |

## PolynomialApprox() [5/5]

PolynomialApprox::PolynomialApprox | ( | Data | T,
|  | std::vector< double > | a
| ) |  |

## ~PolynomialApprox()

PolynomialApprox::~PolynomialApprox | ( |  | ) |

inline

## Member Function Documentation

## displayModel()

void PolynomialApprox::displayModel | ( |  | ) | const

virtual

Implements Model.

## exportModel()

void PolynomialApprox::exportModel | ( |  | ) | const

virtual

Implements Model.

## getCost()

double PolynomialApprox::getCost | ( |  | ) |

virtual

Implements Model.

## getExpData()

Data PolynomialApprox::getExpData | ( |  | ) | const

## getNeighbor()

std::vector< double > PolynomialApprox::getNeighbor | ( | double | ampl | ) | const

virtual

Implements Model.

## getParam()

std::vector< double > PolynomialApprox::getParam | ( |  | ) | const

virtual

Implements Model.

## getSol()

Data PolynomialApprox::getSol | ( |  | ) | const

virtual

Implements Model.

## setCost()

void PolynomialApprox::setCost | ( | CostFunction * | f | ) |

virtual

Reimplemented from Model.

## setExpData()

void PolynomialApprox::setExpData | ( | Data | T | ) |

virtual

Reimplemented from Model.

## setModelData()

void PolynomialApprox::setModelData | ( | Data | T1 | ) |

virtual

Reimplemented from Model.

## setParam()

void PolynomialApprox::setParam | ( | std::vector< double > | a | ) |

virtual

Reimplemented from Model.

The documentation for this class was generated from the following files:

- models.h
- models.cpp